> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ton.org/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.ton.org/feedback

```json
{
  "path": "/ecosystem/api/toncenter/v3/stats/get-top-accounts-by-balance",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get Top Accounts By Balance

> Get list of accounts sorted descending by balance.



## OpenAPI

````yaml get /api/v3/topAccountsByBalance
openapi: 3.0.0
info:
  title: TON Index (Go)
  description: >-
    TON Index collects data from a full node to PostgreSQL database and provides
    convenient API to an indexed blockchain.
  version: 1.2.4-rc
  contact: {}
servers:
  - url: https://toncenter.com
  - url: https://testnet.toncenter.com
security: []
paths:
  /api/v3/topAccountsByBalance:
    get:
      tags:
        - Stats
      summary: Get Top Accounts By Balance
      description: Get list of accounts sorted descending by balance.
      operationId: api_v3_get_top_accounts_by_balance
      parameters:
        - name: limit
          in: query
          description: Limit number of queried rows. Use with *offset* to batch read.
          schema:
            type: integer
            format: int32
            default: 10
            minimum: 1
            maximum: 1000
        - name: offset
          in: query
          description: Skip first N rows. Use with *limit* to batch read.
          schema:
            type: integer
            format: int32
            default: 0
            minimum: 0
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AccountBalance'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestError'
      security: []
components:
  schemas:
    AccountBalance:
      type: object
      properties:
        account:
          type: string
        balance:
          type: string
    RequestError:
      type: object
      properties:
        code:
          type: integer
        error:
          type: string

````